package cn.ezhizao.framework.web.domain.watermaker;

import lombok.Data;

import java.util.List;

/**
 * 水印类 配合Hutool 使用
 * @author 朱汕
 */
@Data
public class WaterMarker {
    /**底图的物理路径*/
    String backgroundImgUrl;
    /**结果图的物理路径*/
    String resultImgUrl;
    /**结果图的相对路径*/
    String resultRelativeUrl;
    List<ImgWaterMarker> images;
    List<TextWaterMarker> texts;
}
