package cn.ezhizao.project.business.carrier.service;


import cn.ezhizao.project.business.carrier.domain.BizCarrierReject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 企业租户Service接口
 *
 * @author ezhizao
 * @date 2024-01-09
 */
public interface IBizCarrierRejectService extends IService<BizCarrierReject>
{
    /**
     * 查询企业租户列表
     *
     * @param bizCarrierReject 企业租户
     * @return 企业租户集合
     */
    public List<BizCarrierReject> getList(BizCarrierReject bizCarrierReject);

    /**
     * 物理删除
     * @param bizCarrierReject
     * @return 删除结果
     */
    public int physicalDelete(BizCarrierReject bizCarrierReject);

}
