package cn.ezhizao.project.business.consult.service;

import java.util.List;

import cn.ezhizao.project.business.consult.domain.BizDayworkItemConsult;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 报工技术咨询Service接口
 *
 * @author ezhizao
 * @date 2024-11-19
 */
public interface IBizDayworkItemConsultService extends IService<BizDayworkItemConsult>
{
    /**
     * 查询报工技术咨询列表
     *
     * @param bizDayworkItemConsult 报工技术咨询
     * @return 报工技术咨询集合
     */
    public List<BizDayworkItemConsult> getList(BizDayworkItemConsult bizDayworkItemConsult);

    /**
     * 物理删除
     * @param bizDayworkItemConsult
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemConsult bizDayworkItemConsult);

}
