package cn.ezhizao.project.business.consultResult.service;

import java.util.List;

import cn.ezhizao.project.business.consultResult.domain.BizConsultResult;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 咨询结果维护Service接口
 *
 * @author ezhizao
 * @date 2024-11-19
 */
public interface IBizConsultResultService extends IService<BizConsultResult>
{
    /**
     * 查询咨询结果维护列表
     *
     * @param bizConsultResult 咨询结果维护
     * @return 咨询结果维护集合
     */
    public List<BizConsultResult> getList(BizConsultResult bizConsultResult);

    /**
     * 物理删除
     * @param bizConsultResult
     * @return 删除结果
     */
    public int physicalDelete(BizConsultResult bizConsultResult);

}
