package cn.ezhizao.project.business.conversion.mapper;

import java.util.List;

import cn.ezhizao.project.business.conversion.domain.BizProductDrawingConversion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 产品电子化率记录Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-16
 */
public interface BizProductDrawingConversionMapper extends BaseMapper<BizProductDrawingConversion>
{
    /**
     * 查询产品电子化率记录列表
     *
     * @param bizProductDrawingConversion 产品电子化率记录
     * @return 产品电子化率记录集合
     */
    public List<BizProductDrawingConversion> getList(BizProductDrawingConversion bizProductDrawingConversion);

    /**
     * 物理删除
     * @param bizProductDrawingConversion
     * @return 删除结果
    */
    public int physicalDelete(BizProductDrawingConversion bizProductDrawingConversion);
}
