package cn.ezhizao.project.business.email.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.email.domain.BizEmail;

/**
 * 提醒邮件配置文件Mapper接口
 *
 * @author ezhizao
 * @date 2025-03-12
 */
public interface BizEmailMapper extends BaseMapper<BizEmail>
{
    /**
     * 查询提醒邮件配置文件列表
     *
     * @param bizEmail 提醒邮件配置文件
     * @return 提醒邮件配置文件集合
     */
    public List<BizEmail> getList(BizEmail bizEmail);

    /**
     * 物理删除
     * @param bizEmail
     * @return 删除结果
    */
    public int physicalDelete(BizEmail bizEmail);
}
