package cn.ezhizao.project.business.inspectionChamber.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.inspectionChamber.domain.BizWorkshopChamber;

/**
 * 检查室车间关联Service接口
 *
 * @author ezhizao
 * @date 2024-07-17
 */
public interface IBizWorkshopChamberService extends IService<BizWorkshopChamber>
{
    /**
     * 查询检查室车间关联列表
     *
     * @param bizWorkshopChamber 检查室车间关联
     * @return 检查室车间关联集合
     */
    public List<BizWorkshopChamber> getList(BizWorkshopChamber bizWorkshopChamber);

    /**
     * 物理删除
     * @param bizWorkshopChamber
     * @return 删除结果
     */
    public int physicalDelete(BizWorkshopChamber bizWorkshopChamber);

}
