package cn.ezhizao.project.business.personSeal.service;

import java.util.List;

import cn.ezhizao.project.business.personSeal.domain.BizPersonalSeal;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 电子图纸Service接口
 *
 * @author ezhizao
 * @date 2024-07-04
 */
public interface IBizPersonalSealService extends IService<BizPersonalSeal>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizPersonalSeal 电子图纸
     * @return 电子图纸集合
     */
    public List<BizPersonalSeal> getList(BizPersonalSeal bizPersonalSeal);

    /**
     * 物理删除
     * @param bizPersonalSeal
     * @return 删除结果
     */
    public int physicalDelete(BizPersonalSeal bizPersonalSeal);

}
