package cn.ezhizao.project.business.processErrorStatistics.service;

import java.util.List;

import cn.ezhizao.project.business.processErrorStatistics.domain.BizProcessDocumentsErrorStatistics;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 工艺文件制作错误次数统计Service接口
 *
 * @author ezhizao
 * @date 2024-08-02
 */
public interface IBizProcessDocumentsErrorStatisticsService extends IService<BizProcessDocumentsErrorStatistics>
{
    /**
     * 查询工艺文件制作错误次数统计列表
     *
     * @param bizProcessDocumentsErrorStatistics 工艺文件制作错误次数统计
     * @return 工艺文件制作错误次数统计集合
     */
    public List<BizProcessDocumentsErrorStatistics> getList(BizProcessDocumentsErrorStatistics bizProcessDocumentsErrorStatistics);

    /**
     * 物理删除
     * @param bizProcessDocumentsErrorStatistics
     * @return 删除结果
     */
    public int physicalDelete(BizProcessDocumentsErrorStatistics bizProcessDocumentsErrorStatistics);

}
