package cn.ezhizao.project.business.publicSeal.mapper;

import java.util.List;

import cn.ezhizao.project.business.publicSeal.domain.BizPublicSeal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * 电子图纸Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-04
 */
public interface BizPublicSealMapper extends BaseMapper<BizPublicSeal>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizPublicSeal 电子图纸
     * @return 电子图纸集合
     */
    public List<BizPublicSeal> getList(BizPublicSeal bizPublicSeal);

    /**
     * 物理删除
     * @param bizPublicSeal
     * @return 删除结果
    */
    public int physicalDelete(BizPublicSeal bizPublicSeal);
}
