package cn.ezhizao.project.business.resourceGroup.service;

import cn.ezhizao.project.business.resourceGroup.domain.BizProductionResourceGroupDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 工段资源组明细Service接口
 *
 * @author ezhizao
 * @date 2024-01-10
 */
public interface IBizProductionResourceGroupDetailService extends IService<BizProductionResourceGroupDetail>
{
    /**
     * 查询工段资源组明细列表
     *
     * @param bizProductionResourceGroupDetail 工段资源组明细
     * @return 工段资源组明细集合
     */
    public List<BizProductionResourceGroupDetail> getList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    /**
     * 物理删除
     * @param bizProductionResourceGroupDetail
     * @return 删除结果
     */
    public int physicalDelete(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    /**
     * 查询工段资源组明细列表
     *
     * @param bizProductionResourceGroupDetail 工段资源组明细
     * @return 工段资源组明细集合
     */
    public List<BizProductionResourceGroupDetail> getEquipmentList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

}
