package cn.ezhizao.project.business.supplier.mapper;

import cn.ezhizao.project.business.supplier.domain.BizSupplierProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;


/**
 * 外协商可做产品Mapper接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface BizSupplierProductMapper extends BaseMapper<BizSupplierProduct> {
    /**
     * 物理删除
     *
     * @param bizSupplierProduct 外协商可做产品信息
     * @return 删除结果
     */
    public int physicalDelete(BizSupplierProduct bizSupplierProduct);

    public List<BizSupplierProduct> getList(BizSupplierProduct data);
}
