package cn.ezhizao.project.business.technologicalProcessDetailDrawingUser.mapper;

import java.util.List;

import cn.ezhizao.project.business.technologicalProcessDetailDrawingUser.domain.BizTechnologicalProcessDetailDrawingUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * 电子图纸操作人员Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-31
 */
public interface BizTechnologicalProcessDetailDrawingUserMapper extends BaseMapper<BizTechnologicalProcessDetailDrawingUser>
{
    /**
     * 查询电子图纸操作人员列表
     *
     * @param bizTechnologicalProcessDetailDrawingUser 电子图纸操作人员
     * @return 电子图纸操作人员集合
     */
    public List<BizTechnologicalProcessDetailDrawingUser> getList(BizTechnologicalProcessDetailDrawingUser bizTechnologicalProcessDetailDrawingUser);

    /**
     * 物理删除
     * @param bizTechnologicalProcessDetailDrawingUser
     * @return 删除结果
    */
    public int physicalDelete(BizTechnologicalProcessDetailDrawingUser bizTechnologicalProcessDetailDrawingUser);
}
