package cn.ezhizao.project.business.accessories.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.accessories.domain.BizAccessories;

/**
 * 辅料管理Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-09
 */
public interface BizAccessoriesMapper extends BaseMapper<BizAccessories>
{
    /**
     * 查询辅料管理列表
     *
     * @param bizAccessories 辅料管理
     * @return 辅料管理集合
     */
    public List<BizAccessories> getList(BizAccessories bizAccessories);

    /**
     * 物理删除
     * @param bizAccessories
     * @return 删除结果
    */
    public int physicalDelete(BizAccessories bizAccessories);
}
