package cn.ezhizao.project.business.auxiliaryProcess.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.auxiliaryProcess.domain.BizAuxiliaryProcess;

/**
 * 辅助工序Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-20
 */
public interface BizAuxiliaryProcessMapper extends BaseMapper<BizAuxiliaryProcess>
{
    /**
     * 查询辅助工序列表
     *
     * @param bizAuxiliaryProcess 辅助工序
     * @return 辅助工序集合
     */
    public List<BizAuxiliaryProcess> getList(BizAuxiliaryProcess bizAuxiliaryProcess);

    /**
     * 物理删除
     * @param bizAuxiliaryProcess
     * @return 删除结果
    */
    public int physicalDelete(BizAuxiliaryProcess bizAuxiliaryProcess);
}
