package cn.ezhizao.project.business.carrier.mapper;

import cn.ezhizao.project.business.carrier.domain.BizCarrier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 设备档案Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface BizCarrierMapper extends BaseMapper<BizCarrier> {
    /**
     * 物理删除
     *
     * @param bizEquipmentDetail 载具信息
     * @return 删除结果
     */
    public int physicalDelete(BizCarrier bizEquipmentDetail);

    public List<BizCarrier> getList(BizCarrier bizCarrier);
    /**
     * 取消废弃
     * @param id 载具id
     * @return 影响数量
     */
    public int unAbandoned(Long id);
}
