package cn.ezhizao.project.business.carrier.service;

import cn.ezhizao.project.business.carrier.domain.BizCarrier;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备档案Service接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface IBizCarrierService extends IService<BizCarrier> {

    /**
     * 物理删除
     *
     * @param bizCarrier
     * @return 删除结果
     */
    int physicalDelete(BizCarrier bizCarrier);

    /**
     * 取消废弃
     * @param id 载具id
     * @return 影响数量
     */
    int unAbandoned(Long id);

    public List<BizCarrier> getList(BizCarrier bizCarrier);
}
