package cn.ezhizao.project.business.companyProductPackage.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.companyProductPackage.domain.BizCompanyProductPackage;

/**
 * 产品包装客户关联Service接口
 *
 * @author ezhizao
 * @date 2024-09-10
 */
public interface IBizCompanyProductPackageService extends IService<BizCompanyProductPackage>
{
    /**
     * 查询产品包装客户关联列表
     *
     * @param bizCompanyProductPackage 产品包装客户关联
     * @return 产品包装客户关联集合
     */
    public List<BizCompanyProductPackage> getList(BizCompanyProductPackage bizCompanyProductPackage);

    /**
     * 物理删除
     * @param bizCompanyProductPackage
     * @return 删除结果
     */
    public int physicalDelete(BizCompanyProductPackage bizCompanyProductPackage);

}
