package cn.ezhizao.project.business.daywork.service;

import cn.ezhizao.project.business.daywork.domain.BizLot;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 批次号Service接口
 *
 * @author ezhizao
 * @date 2023-12-04
 */
public interface IBizLotService extends IService<BizLot>
{
    /**
     * 查询批次号列表（正常）
     *
     * @param bizLot 批次号
     * @return 批次号集合
     */
    public List<BizLot> getList(BizLot bizLot);

    /**
     * 物理删除
     * @param bizLot
     * @return 删除结果
     */
    public int physicalDelete(BizLot bizLot);
}
