package cn.ezhizao.project.business.inspectionChamber.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import org.checkerframework.checker.units.qual.A;

/**
 * 检查室车间关联对象 biz_workshop_chamber
 *
 * @author ezhizao
 * @date 2024-07-17
 */
@Data
@TableName(value = "biz_workshop_chamber")
public class BizWorkshopChamber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车间id */
    @ApiModelProperty(value = "${comment}")
    private Long workshopId;

    /** 检测室id */
    @ApiModelProperty(value = "${comment}")
    private Long chamberId;

    @ApiModelProperty("检查室名称")
    @TableField(exist = false)
    private String chamberName;

    @ApiModelProperty("车间名称")
    @TableField(exist = false)
    private String workshopName;

}
