package cn.ezhizao.project.business.message.mapper;

import cn.ezhizao.project.business.message.domain.BizMessage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 消息队列Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-03
 */
public interface BizMessageMapper extends BaseMapper<BizMessage>
{
    /**
     * 查询消息队列列表
     *
     * @param bizMessage 消息队列
     * @return 消息队列集合
     */
    public List<BizMessage> getList(BizMessage bizMessage);

}
