package cn.ezhizao.project.business.packageResourceGroup.mapper;

import cn.ezhizao.project.business.packageResourceGroup.domain.BizPackageResourceGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 包装线Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-03
 */
public interface BizPackageResourceGroupMapper extends BaseMapper<BizPackageResourceGroup>
{
    /**
     * 查询包装线列表
     *
     * @param bizPackageResourceGroup 包装线
     * @return 包装线集合
     */
    public List<BizPackageResourceGroup> getList(BizPackageResourceGroup bizPackageResourceGroup);

    /**
     * 物理删除
     * @param bizPackageResourceGroup
     * @return 删除结果
    */
    public int physicalDelete(BizPackageResourceGroup bizPackageResourceGroup);
}
