package cn.ezhizao.project.business.process.mapper;

import java.util.List;

import cn.ezhizao.project.business.process.domain.BizProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * 标准工序Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface BizProcessMapper extends BaseMapper<BizProcess>
{
    /**
     * 查询标准工序列表
     *
     * @param bizProcess 标准工序
     * @return 标准工序集合
     */
    public List<BizProcess> getList(BizProcess bizProcess);
    /**
     * 查询标准工序列表
     *
     * @param bizProcess 标准工序
     * @return 标准工序集合
     */
    public List<BizProcess> getFilterList(BizProcess bizProcess);
    /**
     * 物理删除
     * @param bizProcess
     * @return 删除结果
    */
    public int physicalDelete(BizProcess bizProcess);
}
