package cn.ezhizao.project.business.shaftCategory.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.shaftCategory.domain.BizShaftCategory;

/**
 * 盘点同步Service接口
 *
 * @author ezhizao
 * @date 2023-11-15
 */
public interface IBizShaftCategoryService extends IService<BizShaftCategory>
{
    /**
     * 查询盘点同步列表
     *
     * @param bizShaftCategory 盘点同步
     * @return 盘点同步集合
     */
    public List<BizShaftCategory> getList(BizShaftCategory bizShaftCategory);

    /**
     * 物理删除
     * @param bizShaftCategory
     * @return 删除结果
     */
    public int physicalDelete(BizShaftCategory bizShaftCategory);

}
