package cn.ezhizao.project.business.supplier.service;

import cn.ezhizao.project.business.supplier.domain.BizSupplierProductProcess;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 外协商可做产品对应的工序Service接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface IBizSupplierProductProcessService extends IService<BizSupplierProductProcess> {

    /**
     * 物理删除
     *
     * @param bizSupplierProductProcess 外协商可做产品对应的工序
     * @return 删除结果
     */
    int physicalDelete(BizSupplierProductProcess bizSupplierProductProcess);

    public List<BizSupplierProductProcess> getList(BizSupplierProductProcess bizSupplierProductProcess);
}
