package cn.ezhizao.project.business.supplier.service;

import cn.ezhizao.project.business.supplier.domain.BizSupplierProduct;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 外协商可做产品Service接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface IBizSupplierProductService extends IService<BizSupplierProduct> {

    /**
     * 物理删除
     *
     * @param bizSupplierProduct 外协商可做产品
     * @return 删除结果
     */
    int physicalDelete(BizSupplierProduct bizSupplierProduct);

    public List<BizSupplierProduct> getList(BizSupplierProduct data);
}
